<!doctype html>

<html class="no-js" lang="en">

<head>

	<?php include $site_path.'inc/analytics.php'; ?>
  
	<title><?php if (isset($page_title)) print $page_title . ' | '; print $theme_custom_settings['site']['title']; ?></title>

	<meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
  	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<meta name="author" content="<?php print $theme_custom_settings['site']['author']; ?>" />
	<meta name="description" content="<?php print $theme_custom_settings['site']['description']; ?>" />

	<meta property="og:site_name" content="<?php print $theme_custom_settings['site']['title']; ?>" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="<?php echo $site_protocol . $_SERVER["SERVER_NAME"] . htmlspecialchars($_SERVER['REQUEST_URI'], ENT_QUOTES); ?>" />
	<meta property="og:title" content="<?php if (isset($page_title)) print $page_title . ' | ';  print $theme_custom_settings['site']['title']; ?>" />
	<meta property="og:description" content="<?php if (isset($page_description)) print $page_description; else print $theme_custom_settings['site']['description']; ?>" />
	<meta property="og:image" content="<?php if (isset($page_image)) print $page_image; else print $theme_custom_settings['site']['image']; ?>" />
	<meta name="twitter:card" content="summary_large_image" />
	<meta name="twitter:url" content="<?php echo $site_protocol . $_SERVER["SERVER_NAME"] . htmlspecialchars($_SERVER['REQUEST_URI'], ENT_QUOTES); ?>" />
	<meta name="twitter:title" content="<?php if (isset($page_title)) print $page_title . ' | ';  print $theme_custom_settings['site']['title']; ?>" />
	<meta name="twitter:description" content="<?php if (isset($page_description)) print $page_description; else print $theme_custom_settings['site']['description']; ?>" />
	<meta name="twitter:image" content="<?php if (isset($page_image)) print $page_image; else print $theme_custom_settings['site']['image']; ?>" />

	<?php /* do not remove these fonts. they are used for the base. */ ?>
	<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,400,300,600,700|Open+Sans+Condensed:300,700,300italic' rel='stylesheet' type='text/css'>
	
	<!-- css -->
	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/e/normalize/<?php print $theme_custom_settings['assets']['e']['normalize']; ?>/normalize.css" media="all" />
	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/e/h5bp/<?php print $theme_custom_settings['assets']['e']['h5bp']; ?>/h5bp.css" media="all" />
	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/e/bootstrap/<?php print $theme_custom_settings['assets']['e']['bootstrap']; ?>/css/bootstrap.min.css" media="all" />
	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/e/slick/<?php print $theme_custom_settings['assets']['e']['slick']; ?>/slick.css" media="all" />
	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/e/slick/<?php print $theme_custom_settings['assets']['e']['slick']; ?>/slick-theme.css" media="all" />

	<?php if ($theme_custom_settings['social'] != 'none'): ?>
		<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/i/social-icons/<?php print $theme_custom_settings['assets']['i']['social-icons']; ?>/css/social-icons.css" media="all" />
	<?php endif; ?>

	<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/i/basedrupal/<?php print $theme_custom_settings['assets']['i']['base']; ?>/css/base.css" media="all" />

	<?php if ($theme_custom_settings['theme_style'] == 'chevron'): ?>
		<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/i/basedrupal/<?php print $theme_custom_settings['assets']['i']['base']; ?>/css/chevron.css" media="all" />
	<?php endif; ?>

	<?php if ($theme_custom_settings['theme_style'] == 'true-bulldog'): ?>
		<link type="text/css" rel="stylesheet" href="//cdn01.its.msstate.edu/i/basedrupal/<?php print $theme_custom_settings['assets']['i']['base']; ?>/css/truebulldog.css" media="all" />
	<?php endif; ?>

	<link type="text/css" rel="stylesheet" href="<?php print $site_url; ?>css/app.css" media="all" />

	<script src="//cdn01.its.msstate.edu/e/modernizr/<?php print $theme_custom_settings['assets']['e']['modernizr']; ?>/modernizr.min.js"></script>
	
</head>

<body class="
	<?php print $theme_custom_settings['theme_name']; ?>
	<?php foreach ($body_class as $class) { print ' '.htmlspecialchars($class, ENT_QUOTES); } ?>
	<?php if ($theme_custom_settings['theme_style'] == 'simplean' || $theme_custom_settings['theme_style'] == 'chevron' || $theme_custom_settings['theme_style'] == 'true-bulldog') print $theme_custom_settings['theme_style']; ?>
	">

	