/*
|==========================================================================
| app.js
|==========================================================================
|
| ============
| TIPS & USAGE
| ============
| 
| 1. Keep code organized (use headings, comments, and table of contents)
|
|
| =================
| TABLE OF CONTENTS
| =================
|
| #  Slick
| #  Animate Scroll to Anchor
| #  Iframe Resizer (commented out)
| #  Check Alt Text
| #  Function: function_name()
|
*/
jQuery(document).ready(function($) {


    
/** -------------------------------------------------------------- */
/**
 * 	Include common files
 */

$('[data-include-common]')
	.each(function(){
		var file = 'https://cdn01.its.msstate.edu/i/basedrupal/common/' + $(this).data('include-common');
		$(this).load(file);
	});
    





/** -------------------------------------------------------------- */
/**
 * 	Slick
 */

$('.feature').slick({
	dots: true,
	infinite: true,
	autoplay: true,
	autoplaySpeed: 6000,
	draggable: false,
	speed: 300,
	slidesToShow: 1,
	slidesToScroll: 1,
	prevArrow: '<button type="button" class="slick-prev glyphicon glyphicon-chevron-left">Previous</button>',
	nextArrow: '<button type="button" class="slick-next glyphicon glyphicon-chevron-right">Next</button>',
});
    




	
/** -------------------------------------------------------------- */
/**
 * 	Animate Scroll to Anchor
 */

$('a.anchor-scroll, .main-menu ul.menu a, a.btn')
	.click(function() {

		var href = $(this).attr('href');
		href = href.split('#');
		var hash = href[1];
		if (typeof hash != 'undefined') hash = hash.replace('#','');

		if (href[0].indexOf('//') === -1 && hash != null)
		{
			$('html,body').animate({ scrollTop : $('#' + hash + ', a[name=' + hash + ']').offset().top }, 500 );
			return false;
		}

	});

$(window).load(function() {
	var hash = location.hash.replace('#',''); // remove the # from the hash, as different browsers may or may not include it
	if (hash != '')
		$('html, body').animate({ scrollTop : $('#' + hash + ', a[name=' + hash + ']').offset().top }, 500);
});
    




	
/** -------------------------------------------------------------- */
/**
 * 	Iframe Resizer
 */  

/*
$('.iframe_resize').iFrameResize({ 
	log : true, 
});
*/
    
    



	
/** -------------------------------------------------------------- */
/**
 * 	Check Alt Text
 */
 
$('img')
	.each(function() {

		/**
		 * 	Set Action
		 *
		 * 	Note: For large 'live' sites, I recommend console. For everything else replace is probably fine. Definitions below.
		 *  
		 *  Options: replace, subtle, console
		 *   - Replace: Hides/replaces image with a large red box. Also prints to console.
		 *   - Subtle: Changes image opacity to 50%. Also prints to console.
		 *   - Console: Prints to console only.
		 */ 
		var dothis = 'replace';

		var img_alt = $(this).attr('alt');
		if (!img_alt || img_alt == '') 
		{

			if (dothis == 'replace')
			{
				var img_class;
				var img_style;
				var html_warning;

				img_alt = "This image does not contain alternative text.";

				$(this).wrap('<div class="img-no-alt processing" style="position: relative;"></div>');

				img_class = $(this).attr('class');
				if (typeof img_class !== typeof undefined && img_class !== false)
					img_class = $(this).attr('class');
				else
					img_class = '';

				img_style = $(this).attr('style');
				if (typeof img_style !== typeof undefined && img_style !== false)
					img_style = $(this).attr('style') + ' position: relative;';
				else
					img_style = 'position: relative;';

				$(this).removeClass().attr('style', 'opacity: 0; position: relative; z-index: 0;');
				
				$(this).attr('alt', img_alt);
				
				html_warning = 		'<div style="display: block; position: absolute; z-index: 999; top: 0; left; 0; width: 100%; height: 100%; padding: 10%; overflow: hidden; background: #a90707; color: #fff; text-align: center; font-size: 150%; font-weight: bold;">';
				html_warning += 		'<span>'+img_alt+'</span>';
				html_warning += 	'</div>';
				$(this).parents('.img-no-alt.processing').append(html_warning);

				$(this).parents('.img-no-alt.processing').addClass(img_class).attr('style', img_style); 
				$(this).parents('.img-no-alt.processing').removeClass('processing');

				console.log('WANRING! "'+$(this).attr('src')+'" does not contain alt text.');
			}
			

			if (dothis == 'subtle')
			{
				img_alt = "This image does not contain alternative text.";

				$(this).attr('style', 'opacity: .5;');
				$(this).attr('alt', img_alt);
				console.log('WANRING! "'+$(this).attr('src')+'" does not contain alt text.');
			}
			

			if (dothis == 'console')
			{
				img_alt = "This image does not contain alternative text.";

				$(this).attr('alt', img_alt);
				console.log('WANRING! "'+$(this).attr('src')+'" does not contain alt text.');
			}

		}
	
	});






/** -------------------------------------------------------------- */
/**
 * 	Function: function_name()
 */





	


});
/* end document ready */

